Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class LaTeXDocumentPortion

    java.lang.Object
      writer2latex.latex.LaTeXDocumentPortion

    public class LaTeXDocumentPortion

extends java.lang.Object

This class represents a portion of a LaTeX document. A portion is any number of lines, and may include subportions.

Field Summary
`private boolean` | `bEmpty`
`private boolean` | `bWrap`
`private java.lang.StringBuffer` | `curText`
`private java.util.Vector` | `nodes`

Constructor Summary
`LaTeXDocumentPortion(boolean bWrap)`

Method Summary
`LaTeXDocumentPortion` | `append(LaTeXDocumentPortion ldp)` Add another portion to the end of this portion
`LaTeXDocumentPortion` | `append(java.lang.String s)` Add a string to the end of this portion
`LaTeXDocumentPortion` | `nl()` Add a newline to the end of this portion
`void` | `write(java.io.OutputStreamWriter osw, int nLineLen, java.lang.String sNewline)` Write this portion to the output (note: nLineLen=0 means no wrap)
`private void` | `writeBuffer(java.lang.StringBuffer text, java.io.OutputStreamWriter osw, int nLineLen, java.lang.String sNewline)` write the contents of a StringBuffer to the output
`private void` | `writeBuffer(java.lang.StringBuffer text, java.io.OutputStreamWriter osw, java.lang.String sNewline)` write the contents of a StringBuffer to the output without wrap
`private void` | `writeSegment(java.lang.String s, int nStart, int nEnd, java.io.OutputStreamWriter osw)` write a segment of text (eg. a word) to the output

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodes

    private java.util.Vector nodes

### curText

    private java.lang.StringBuffer curText

### bEmpty

    private boolean bEmpty

### bWrap

    private boolean bWrap

Constructor Detail

### LaTeXDocumentPortion

    public LaTeXDocumentPortion(boolean bWrap)

Method Detail

### append

    public LaTeXDocumentPortion append(LaTeXDocumentPortion ldp)

  Add another portion to the end of this portion

### append

    public LaTeXDocumentPortion append(java.lang.String s)

  Add a string to the end of this portion

### nl

    public LaTeXDocumentPortion nl()

  Add a newline to the end of this portion

### writeSegment

    private void writeSegment(java.lang.String s,
                              int nStart,
                              int nEnd,
                              java.io.OutputStreamWriter osw)
                       throws java.io.IOException

  write a segment of text (eg. a word) to the output

  Throws:
    `java.io.IOException`

### writeBuffer

    private void writeBuffer(java.lang.StringBuffer text,
                             java.io.OutputStreamWriter osw,
                             int nLineLen,
                             java.lang.String sNewline)
                      throws java.io.IOException

  write the contents of a StringBuffer to the output

  Throws:
    `java.io.IOException`

### writeBuffer

    private void writeBuffer(java.lang.StringBuffer text,
                             java.io.OutputStreamWriter osw,
                             java.lang.String sNewline)
                      throws java.io.IOException

  write the contents of a StringBuffer to the output without wrap

  Throws:
    `java.io.IOException`

### write

    public void write(java.io.OutputStreamWriter osw,
                      int nLineLen,
                      java.lang.String sNewline)
               throws java.io.IOException

  Write this portion to the output (note: nLineLen=0 means no wrap)

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD